Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002625TestLinkUser Interface Generalpublic2009-06-17 19:062010-05-01 20:35
Reporterrafaelroballo 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.3 
Fixed in Version1.9 Beta 2 
Summary0002625: Contribution: Modifications on custom field (display order modified)
DescriptionIn order to give the hability to user selects where to include the custom field (before or after the test case procedure) some modifications where necessary. Here they are:
- On [Test Execution] area, included a new config variable on config.inc.php (cf_default_display_order).
- On ./lib, modifications where made on 'functions', 'execute' and 'cfields' folders.
- On ./gui, modifications where made on 'templates/execute' and 'templates/cfields'.
- On ./locale, modification an existing string ($TLS_display_order) and included a new string ($TLS_cfield_display_order_comment).
Additional InformationAll details are available on attached file 'CustomFieldChanges.mm.html'. Also, files modified are available on attached file 'TestLink_Modifications.rar'.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserInternet Explorer 8.0.6001, Firefox 3.0.11 and Chrome 2.0.172
PHP Version5.2.6
TestCaseID
QA Team - Task Workflow Status
Attached Filesrar file icon TestLink_Modifications.rar [^] (123,490 bytes) 2009-06-17 19:06

- Relationships
related to 0002630closedmhavlat Request to add "Initial State" or "Prerequisites" field to test case 

-  Notes
(0007299)
mhavlat (reporter)
2009-06-19 16:41

Thank you for the contribution. We will review it ... added target 1.9 release.
(0007437)
taraujo (reporter)
2009-07-04 00:26

Custom Field MAX Size should be reviewed as well. It's impossible to write preconditions and notes using only 255 chars
(0007519)
fman (administrator)
2009-07-10 23:56

There is no problem with MAXSIZE is enough you change field dimension on your DB
and a couple of easy to find constants on code.
I will try to give detailed information or better try to add option at install time ?

- Issue History
Date Modified Username Field Change
2009-06-17 19:06 rafaelroballo New Issue
2009-06-17 19:06 rafaelroballo File Added: TestLink_Modifications.rar
2009-06-17 19:06 rafaelroballo Browser => Internet Explorer 8.0.6001, Firefox 3.0.11 and Chrome 2.0.172
2009-06-17 19:06 rafaelroballo PHP Version => 5.2.6
2009-06-19 16:41 mhavlat Note Added: 0007299
2009-06-19 16:41 mhavlat Status new => acknowledged
2009-06-19 16:41 mhavlat Category New Feature => User Interface General
2009-06-19 16:41 mhavlat Summary Modifications on custom field (display order modified) => Contribution: Modifications on custom field (display order modified)
2009-06-19 16:42 mhavlat Relationship added related to 0002630
2009-07-04 00:26 taraujo Note Added: 0007437
2009-07-10 23:56 fman Note Added: 0007519
2009-07-10 23:56 fman Status acknowledged => assigned
2009-07-10 23:56 fman Assigned To => fman
2009-07-27 23:52 fman Status assigned => resolved
2009-07-27 23:52 fman Fixed in Version => 1.9 (DEV)
2009-07-27 23:52 fman Resolution open => fixed
2010-05-01 20:35 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker